%define testname desktop

Name: repocop-unittest-altdesktop
Version: 0.08
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: ALT desktop intergration tests for repocop test platform.
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop

%description
Repocop intergration tests for ALT Linux specific desktop policies.
It includes: 
   update_menus test
   update_wms   test

%prep

%build
cat > update_menus.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}

NEED_UPDATE_MENUS=
files_exist $REPOCOP_PKG_ROOT%_menudir/* && NEED_UPDATE_MENUS=1
##     . , , OnlyShowIn=KDE; , 
## update-menus  . (zerg)
for file in $REPOCOP_PKG_ROOT%_desktopdir/*.desktop; do
    if [ -e "$file" ] && \
    grep Categories "$file" >/dev/null && \
    ! grep OnlyShowIn "$file" >/dev/null && \
    ! egrep '^\s*NoDisplay=(true|1)' "$file" >/dev/null ; then
        NEED_UPDATE_MENUS=1
    fi
done
if [ -n "$NEED_UPDATE_MENUS" ]; then
   if rpmquery --scripts -p $REPOCOP_PKG | grep update-menus >/dev/null; then
       exec repocop-test-ok
   else
       exec repocop-test-warn "missing %%post:%%update_menus  %%postun:%%clean_menus in %%post/un scripts: are required to properly initialize menu from desktop/menu file(s) on freedesktop menu uncompatible WMs."
   fi
else
   exec repocop-test-skip 
fi
EOF

cat > update_wms.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}

files_exist $REPOCOP_PKG_ROOT/etc/X11/wmsession.d/* || exec repocop-test-skip
if rpmquery --scripts -p $REPOCOP_PKG | grep update_wms >/dev/null; then
       exec repocop-test-ok
else
       exec repocop-test-fail "missing %%post:%%update_wms  %%postun:%%clean_wms in %%post/un scripts: are required to properly initialize login manager menu at install time. See http://freesource.info/wiki/AltLinux/Sisyphus/devel/UpakovkaWM"
fi
EOF

%install
for i in update_menus update_wms; do
    mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/$i/
    %__install -m 755 $i.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/$i/test
done

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/update_menus
%_datadir/repocop/pkgtests/update_wms

%changelog
* Wed Apr 30 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- added check on NoDisplay=true to update_menus

* Fri Mar 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- pkgtests/iconsdir split off to avoid frequent updates
- fixed warning in iconsdir: should require %%_liconsdir, not %%_niconsdir

* Tue Mar 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added update_wms test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- fixed bug in update_menus test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- added ShowOnlyIn check

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated messages

* Mon Feb 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- First build for Sisyphus.
